## com.bbn.openmap.omGraphics.event
Class SelectionSupport

    java.lang.Object
      com.bbn.openmap.omGraphics.event.SelectionSupport

public class SelectionSupport
extends java.lang.Object

A class to help SelectionProviders manage SelectionListeners, and to help with firing SelectionEvents to those listeners.

Constructor Summary
`SelectionSupport(java.lang.Object src)`

Method Summary
`void` `addSelectionListener(SelectionListener listener)` Add a SelectionListener to the listener list.
`void` `clearSelectionListeners()` Remove all listeners from the list.
`void` `fireSelection(OMGraphic omg, DrawingToolRequestor dtr, boolean isSelected)` Send a selection event to all registered listeners.
`void` `removeSelectionListener(SelectionListener listener)` Remove a SelectionListener from the listener list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionSupport

    public SelectionSupport(java.lang.Object src)

Method Detail

### addSelectionListener

    public void addSelectionListener(SelectionListener listener)

  Add a SelectionListener to the listener list.

  Parameters:
    `listener` - The SelectionListener to be added

### removeSelectionListener

    public void removeSelectionListener(SelectionListener listener)

  Remove a SelectionListener from the listener list.

  Parameters:
    `listener` - The SelectionListener to be removed

### clearSelectionListeners

    public void clearSelectionListeners()

  Remove all listeners from the list.

### fireSelection

    public void fireSelection(OMGraphic omg,
                              DrawingToolRequestor dtr,
                              boolean isSelected)

  Send a selection event to all registered listeners.

  Parameters:
    `omg` - the graphic in the selection event
    `dtr` - the drawingtoolrequestor in the selection event
    `isSelected` - the selection state in the selection event
  See Also:
    `SelectionEvent`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details